#!/bin/perl

use File::Basename;

$tmp_iso="/home/r/tmp/image.iso";

@graft_points = ("-graft-points");

for $graft_point(@ARGV){
    push(@graft_points, '"'. basename($graft_point) .'"' . "=" 
	 . '"'. $graft_point . '"');
}

@mkisofs_args =  ("-iso-level", "4", "-r", "-quiet");

@mkisofs_args = (@mkisofs_args, @graft_points);


# get size of stuff
$size = `mkisofs -print-size @mkisofs_args 2>/dev/null`;
chomp($size);

@burn_command = ("cdrecord", "gracetime=3", "-v",
		 "tsize=".$size."s", "-data", "-");

@aes_loop_command = ("aespipe", "-P", "/etc/cd-key", "-e", "aes256");


$final_command = "mkisofs @mkisofs_args | @aes_loop_command | @burn_command";

print "$final_command\n";
system($final_command);

